%-------------------------------------------------
% crtanje fazorskog dijagrama struja
%-------------------------------------------------
parametriseme;   

ns=60*f./p;    
z1=(r1+r1dod)+i*(2*pi*f*l1+2*pi*f*l1dod);
z21=(r21+r21dod)/snom+i*(2*pi*f*l21+2*pi*f*l21dod);
z0=r0+i*2*pi*f*l0;
i21=u./(z1+z21+(z1+z21)/z0);
i0=u./(z1+z0+(z1+z0)/z21);
i1=i21+i0;

i0a=double(real(i0));   
i0b=double(imag(i0));   
i21a=double(real(i21)); 
i21b=double(imag(i21)); 

i1a=double(real(i1)); 
i1b=double(imag(i1)); 

%figure(3)    
set(figure(3),'Position',[648 51 550 500]); 
plotv([i0a i21a i1a;i0b i21b i1b]);   
grid on            
setprave('LineWidth',2.5);                       
hold on     
legend('I0','I21','I1','Location','Best')
title('Current phasor'); 
xlabel('Re I');         
ylabel('Im I');         